Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class LoadProperties

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.LoadProperties

All Implemented Interfaces:
  java.lang.Cloneable

    public class LoadProperties

extends Task

Load a file's contents as Ant properties.

Since:
  Ant 1.5

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`LoadProperties()`

Method Summary
`void` | `addConfigured(ResourceCollection a)` Set the source resource.
`void` | `addFilterChain(FilterChain filter)` Adds a FilterChain.
`Path` | `createClasspath()` Add a classpath to use when looking up a resource.
`void` | `execute()` load Ant properties from the source file or resource
`Path` | `getClasspath()` get the classpath used by this `LoadProperties`.
`void` | `setClasspath(Path classpath)` Set the classpath to use when looking up a resource.
`void` | `setClasspathRef(Reference r)` Set the classpath to use when looking up a resource, given as reference to a <path> defined elsewhere
`void` | `setEncoding(java.lang.String encoding)` Encoding to use for input, defaults to the platform's default encoding.
`void` | `setResource(java.lang.String resource)` Set the resource name of a property file to load.
`void` | `setSrcFile(java.io.File srcFile)` Set the file to load.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadProperties

    public LoadProperties()

Method Detail

### setSrcFile

    public final void setSrcFile(java.io.File srcFile)

  Set the file to load.

  Parameters:
    `srcFile` - The new SrcFile value

### setResource

    public void setResource(java.lang.String resource)

  Set the resource name of a property file to load.

  Parameters:
    `resource` - resource on classpath

### setEncoding

    public final void setEncoding(java.lang.String encoding)

  Encoding to use for input, defaults to the platform's default encoding.

  For a list of possible values see http://java.sun.com/j2se/1.5.0/docs/guide/intl/encoding.doc.html .

  Parameters:
    `encoding` - The new Encoding value

### setClasspath

    public void setClasspath(Path classpath)

  Set the classpath to use when looking up a resource.

  Parameters:
    `classpath` - to add to any existing classpath

### createClasspath

    public Path createClasspath()

  Add a classpath to use when looking up a resource.

  Returns:
    The classpath to be configured

### setClasspathRef

    public void setClasspathRef(Reference r)

  Set the classpath to use when looking up a resource, given as reference to a <path> defined elsewhere

  Parameters:
    `r` - The reference value

### getClasspath

    public Path getClasspath()

  get the classpath used by this `LoadProperties`.

  Returns:
    The classpath

### execute

    public final void execute()
                       throws BuildException

  load Ant properties from the source file or resource

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### addFilterChain

    public final void addFilterChain(FilterChain filter)

  Adds a FilterChain.

  Parameters:
    `filter` - the filter to add

### addConfigured

    public void addConfigured(ResourceCollection a)

  Set the source resource.

  Parameters:
    `a` - the resource to load as a single element Resource collection.
  Since:
    Ant 1.7

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD